Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Previous Topic Next Topic
 
classic Классический list Список threaded Древовидный
24 сообщения Инструменты
12
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Админ
Администратор
Ранее, в статье: Решение проблемы установки Viber в Ubuntu 18.04 LTS Bionic Beaver, мы с Вами успешно решили проблему установки Viber в систему, из-за проблем с зависимостями, в виду полного отказа Rakuten Viber в 2017 году от дальнейшего развития и разработки мессендержа Viber под Linux и отсутствия его свежих версий, обычным способом, из deb-пакета.
И вот, не так давно, в Ноябре 2018 года, на радость всем нам, я так полагаю, очень наш человек - Игорь Малиновский, выложил на snapcraft.io snap-пакет этого популярного мессенджера.
http://compizomania.blogspot.com/2019/02/viber-7001035-snap-ubuntu-1404-1904.html
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Tauri
Это сообщение было обновлено .
Мое почтение! прошу уточнить....при вводе и отработке команды в терминале пишет мол "snap: команда не найдена" ? Возможно ли какое то решение? ОС Линукс Минт Мате 19.1.
Работаешь на Виндовс - работаешь на Америку! Всем добра!
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

victorubuntu
В минте есть viber flat paket
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Tauri
да...такой пакет есть но нужно скачать 650 мб. для его установки!! У меня образ Системы меньше!
Работаешь на Виндовс - работаешь на Америку! Всем добра!
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Админ
Администратор
В ответ на это сообщение от Tauri
==при вводе и отработке команды в терминале пишет мол "snap: команда не найдена" ? Возможно ли какое то решение? ОС Линукс Минт Мате 19.1. ==

Это значит пакет snapd не установлен. Установите его: sudo apt install snapd
А затем повторите команды на установку Viber.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Koky
В ответ на это сообщение от Админ
Пару дней назад установил Viber из Flatpak так что при надобности и желании можно аж три Vibera установить
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Владимир Маслов
Ну, да.
Там кстати давно уже он.
Только при этом притягивается fredesktop (255 Мб), локаль (тоже порядочно), драйвер nVidia проприетарник от-туда же (тоже далеко не мал), хотя обычный установлен уже и ещё кое-что...

И что-то, как-то не хочется столько всего...
When In Rome Do As The Romans Do...
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

7314776
В ответ на это сообщение от Админ
Похоже, скоро придется пилить пост по установке андроид-версии вайбера... А то там он уже 10-й версии, с поддержкой скрытых групп всяких и т.п., а в Линуксе ещё 7-я. Да, функционал с большего решает вопросы, но чего-то уже не хватает...
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Tauri
В ответ на это сообщение от Админ
...да-snapd установился но при установке Вайбера командой sudo snap remove viber-unofficial выдает вот такое...Но все же его установить получилось качнув deb файл с оф.сайта и установив с помощью dpkg в терминале. Как я понял-для каждого пользователя нужен свой метод установки который в большой степени зависит от установленных в его Системе зависимостей. Благодарю. Всем добра!
Работаешь на Виндовс - работаешь на Америку! Всем добра!
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Владимир Маслов
sudo snap remove viber-unofficial не устанавливает, а удаляет, вы перепутали...

А причина неустановки у вас в другом.
В чём, не совсем понятно.
Пишет, что соединение отклонено.
А почему?
Это уже другой вопрос.
У вас, случаем DNS-ы Яндекса не прописаны в роутере или настройках соединения?
А то часто через них блокируются подключения ко многим серверам.
When In Rome Do As The Romans Do...
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Владимир Маслов
В ответ на это сообщение от 7314776
Так всё просто.
Viber под Linux с 17-го года больше не разрабатывается, увы и по ходу, и не будет.
Я во всяком случае от их саппорта тогда такой ответ получил.
When In Rome Do As The Romans Do...
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Rommek
В ответ на это сообщение от Админ
А как создать кнопку запуска в меню приложений и как его вообще запускать?

romek@romek-MINT:~$ viber-unofficial.viber
Команда 'viber-unofficial.viber' доступна в '/snap/bin/viber-unofficial.viber'
Команда не может быть найдена, потому что '/snap/bin' не включена в переменную окружения  PATH
viber-unofficial.viber: команда не найдена

Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Tauri
В ответ на это сообщение от Владимир Маслов
...да...перепутал при написании. Причину невозможности установки именно этим предложенным способом не выяснял особо. Но dns_сы точно нигде не прописаны...проверил. Благодарю за помощь!
Работаешь на Виндовс - работаешь на Америку! Всем добра!
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Владимир Маслов
В ответ на это сообщение от Rommek
Так, если вы установили snap-пакет, то в Приложения Viber должен быть.
Запустите от туда.
When In Rome Do As The Romans Do...
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Владимир Маслов
Это сообщение было обновлено .
В ответ на это сообщение от Rommek
Попробуйте так:
romek@romek-MINT:~$~/viber-unofficial.viber

Вот здесь описывается причина ошибки при выполнения прямой команды из Терминала, в виду того, что пакет устанавливается в Домашний каталог:
Переменная окружения PATH

Но, скорее всего, как описывается в статье, придётся указывать абсолютно полный путь...
When In Rome Do As The Romans Do...
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

7314776
В ответ на это сообщение от Владимир Маслов
Вот поэтому и пишу про Андроид. Если захочет кто-то поновее версию, то - либо Виртуалбокс с какой-нить виндой, либо транслятор типа Вайна или Плэйонлинукс, либо Андроид ставить, а там - уже обновлённый Вайбер.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Rommek
Это сообщение было обновлено .
В ответ на это сообщение от Владимир Маслов
После второй или третьей перезагрузки в разделе меню «Интернет» появился Viber snap.

При попытке запуска приложения оттуда

romek@romek-MINT:~$ env BAMF_DESKTOP_FILE_HINT=/var/lib/snapd/desktop/applications/viber-unofficial_viber.desktop /snap/bin/viber-unofficial.viber
Qt: Session management error: None of the authentication protocols specified are supported
sh: 1: xdg-mime: not found
Could not initialize GLX
Аварийный останов

В домашнем каталоге его нет. В PATH он включён:

romek@romek-MINT:~$ echo $PATH
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin

Решилось обновлением проприетарного драйвера Nvidia.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Владимир Маслов
Ну, и слава Богу!
Собственно говоря, вывод в Терминале:
Could not initialize GLX об этом и говорит...

У Владимира во всех статьях после установки всегда в первых рядах есть пункт:
Мультимедиа и кодеки
И не спроста!
Так вот, если например не установить сразу ubuntu-restricted-extras, то при установке того же Viber обычным способом, система ругнётся, что без него: - гуляй ка ты лесом юзер!

То же касается и проприетарника после установки ОС.
Я его сразу устанавливаю самой свежей версии, потому как из опыта знаю, что будет ругаться на пред. версии.

Т.е. эти вещи надо делать сразу после установки!
Что Владимир всегда и пишет в статьях.

И, как правило, проблем таких не будет...
When In Rome Do As The Romans Do...
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

CryptAnalitic
В ответ на это сообщение от Админ
А что делать когда при прописывании в автозапуск выдаёт :

ERROR: ld.so: object '/opt/eset/esets/lib/libesets_pac.so' from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object '/opt/eset/esets/lib/libesets_pac.so' from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object '/opt/eset/esets/lib/libesets_pac.so' from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.

и вайбер не запускается
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Установка Viber 7.0.0.1035 snap-пакетом в Ubuntu/Linux Mint

Владимир Маслов
Это сообщение было обновлено .
Я так полагаю, NOD32 for Linux поставили?!

И полагаю, что не только у меня, а и у многих наших читателей возник резонный вопрос - а ЗАЧЕМ???!!!

Позвольте полюбопытствовать, по какой такой надобности вы впихнули в Linux сие "творение гигантской мысли" любителей окнодр...ров?

Поиск на Яндекс или на Гугле ещё никто не отменял. 

Эта ошибка обычно появляется, когда это "чудо" присутствует в системе...

Вот здесь на аглицком решение.

И здесь на аглицком.

А здесь на русском.
When In Rome Do As The Romans Do...
12